मुख्य सामग्री पर जाएं
PUT
/
2
/
activity
/
subscriptions
/
{subscription_id}
X एक्टिविटी सदस्यता अपडेट करें
curl --request PUT \
  --url https://api.x.com/2/activity/subscriptions/{subscription_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tag": "<string>",
  "webhook_id": "1146654567674912769"
}
'
{
  "data": {
    "total_subscriptions": 123
  }
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

पथ पैरामीटर

subscription_id
string
आवश्यक

अपडेट की जाने वाली सदस्यता की ID। इस सदस्यता का अद्वितीय पहचानकर्ता।

Pattern: ^[0-9]{1,19}$
उदाहरण:

"1146654567674912769"

बॉडी

application/json
tag
string
Required string length: 1 - 200
webhook_id
string

इस webhook कॉन्फ़िगरेशन का अद्वितीय पहचानकर्ता।

Pattern: ^[0-9]{1,19}$
उदाहरण:

"1146654567674912769"

प्रतिक्रिया

अनुरोध सफल रहा है।

data
object